      SUBROUTINE RUNRMA10
    
      USE IFPORT
      USE BLKRM10
      use winteracter
      LOGICAL RESULTA,EXIST

      CHARACTER(LEN=255)  :: filter,STRINGEXEC,EXNAMEFL
      CHARACTER (LEN=102) :: TSEXEC
      CHARACTER (LEN=1)   :: QUOT
      QUOT='"'
      I=0
      CLOSE (75)
      INQUIRE(file='RMA2.EXE',EXIST=EXIST)
      IF(EXIST) THEN      

        write(tsexec,6000) quot,namefl(1:100),quot
        stringexec='RMA2.EXE '//tsexec(1:102)
      ELSE
        filter="EXE file *.exe|*.exe|"

        CALL WSelectFile(Filter,PromptOn,EXNAMEFL,'Select RMA2 EXE File to be Used')
      
	    IF (WInfoDialog(ExitButtonCommon).EQ.CommonOpen) THEN
		  go to 500
	    else
          RETURN
        endif
         
500     CONTINUE
        DO K=1,255
          IF(EXNAMEFL(K:K+3) .EQ. '.EXE'  .OR.  EXNAMEFL(K:K+3) .EQ. '.exe') then
            iflen=k+3
            go to 600
          endif
        enddo  
600     continue
        write(tsexec,6000) quot,namefl(1:100),quot
6000    format(a1,a100,a1)        
        stringexec=exnamefl(1:iflen)//' '//tsexec(1:102)
      endif  
      RESULTA=SYSTEMQQ(STRINGEXEC)
      
      RETURN
      END
    